<?xml version="1.0"?>
<ruleset name="10up PHPCS">
	<description>10up PHPCS extended.</description>

	<!-- Scan only PHP files -->
	<arg name="extensions" value="php"/>
	<exclude-pattern>./dist/**</exclude-pattern>
	<!-- Ignore WordPress and Composer dependencies -->
	<exclude-pattern>./vendor/**</exclude-pattern>
	<exclude-pattern>./node_modules/**</exclude-pattern>
	<rule ref="10up-Default" />

	<arg name="colors"/>
	<!-- Show colors in console -->
	<arg value="-colors"/>

	<!-- Show sniff codes in all reports -->
	<arg value="ns"/>
</ruleset>